function create_atomic_number_mapping()
  mapping::Dict{String,Int64} = Dict(
    "H" => 1,
    "He" => 2,
    "Li" => 3,
    "Be" => 4,
    "B" => 5,
    "C" => 6,
    "N" => 7,
    "O" => 8,
    "F" => 9,
    "Ne" => 10,
    "Na" => 11,
    "Mg" => 12,
    "Al" => 13,
    "Si" => 14,
    "P" => 15,
    "S" => 16,
    "Cl" => 17,
    "Ar" => 18,
    "K" => 19,
    "Ca" => 20,
    "Sc" => 21,
    "Ti" => 22,
    "V" => 23,
    "Cr" => 24,
    "Mn" => 25,
    "Fe" => 26,
    "Co" => 27,
    "Ni" => 28,
    "Cu" => 29,
    "Zn" => 30,
    "Ga" => 31,
    "Ge" => 32,
    "As" => 33,
    "Se" => 34,
    "Br" => 35,
    "Kr" => 36,
    "Rb" => 37,
    "Sr" => 38,
    "Y" => 39,
    "Zr" => 40,
    "Nb" => 41,
    "Mo" => 42,
    "Tc" => 43,
    "Ru" => 44,
    "Rh" => 45,
    "Pd" => 46,
    "Ag" => 47,
    "Cd" => 48,
    "In" => 49,
    "Sn" => 50,
    "Sb" => 51,
    "Te" => 52,
    "I" => 53,
    "Xe" => 54
  )
  return mapping
end

function create_atomic_mass_mapping()
  mapping::Dict{String,Float64} = Dict(
    "H" => 1.00794,
    "He" => 4.002602,
    "Li" => 6.941,
    "Be" => 9.012182,
    "B" => 10.811,
    "C" => 12.0107,
    "N" => 14.0067,
    "O" => 15.9994,
    "F" => 18.9984032,
    "Ne" => 20.1797,
    "Na" => 22.98976928,
    "Mg" => 24.3050,
    "Al" => 26.9815386,
    "Si" => 28.0855,
    "P" => 30.973762,
    "S" => 32.0655,
    "Cl" => 35.453,
    "Ar" => 39.948,
    "K" => 39.0983,
    "Ca" => 40.078,
    "Sc" => 44.955912,
    "Ti" => 47.867,
    "V" => 50.9415,
    "Cr" => 51.9961,
    "Mn" => 54.938045,
    "Fe" => 55.845,
    "Co" => 58.933195,
    "Ni" => 58.6934,
    "Cu" => 63.546,
    "Zn" => 65.409,
    "Ga" => 69.723,
    "Ge" => 72.64,
    "As" => 74.92160,
    "Se" => 78.96,
    "Br" => 79.804,
    "Kr" => 83.798,
    "Rb" => 85.4678,
    "Sr" => 87.62,
    "Y" => 88.90585,
    "Zr" => 91.224,
    "Nb" => 92.90638,
    "Mo" => 95.94,
    "Tc" => 98.0,
    "Ru" => 101.07,
    "Rh" => 102.90550,
    "Pd" => 106.42,
    "Ag" => 107.8682,
    "Cd" => 112.411,
    "In" => 114.818,
    "Sn" => 118.710,
    "Sb" => 121.760,
    "Te" => 127.60,
    "I" => 126.90447,
    "Xe" => 131.293
  )
  return mapping
end

function create_shell_am_mapping()
  mapping::Dict{String,Int64} = Dict(
    "L" => -1,
    "S" => 1,
    "P" => 2,
    "D" => 3,
    "F" => 4,
    "G" => 5,
    "H" => 6,
    "I" => 7,
  )
  return mapping
end
